#!/bin/bash
# memtester installer
P=memtester-install
DEFAULT_VERSION=4.3.0
. $SHELLPACK_INCLUDE/common.sh
WEB_LOCATION=http://pyropus.ca/software/memtester/old-versions
#memtester-4.3.0.tar.gz
MIRROR_LOCATION="$WEBROOT/memtester/"

# Basic argument parser
while [ "$1" != "" ]; do
	case "$1" in
	-v)
		VERSION=$2
		shift 2
		;;
	*)
		echo Unrecognised option: $1
		shift
	esac
done
if [ -z "$VERSION" ]; then
	VERSION=$DEFAULT_VERSION
fi

# Unconditionally fetch the tar to find out the real version number
TARFILE=memtester-${VERSION}.tar.gz
sources_fetch $WEB_LOCATION/$TARFILE $MIRROR_LOCATION/$TARFILE $SHELLPACK_SOURCES/$TARFILE
cd $SHELLPACK_SOURCES
tar -xf $TARFILE
if [ $? -ne 0 ]; then
        error "$P: tar xf memtester-${VERSION}.tar.gz failed"
        popd > /dev/null
        exit $SHELLPACK_ERROR
fi

# Rename directory to something we expect.
DST_DIR=`tar tf $TARFILE | head -n 1 | awk -F / '{print $1}'`
mv $DST_DIR memtester-${VERSION}-installed
pushd memtester-${VERSION}-installed > /dev/null || die Failed to rename tar

# Build
pushd $SHELLPACK_SOURCES/memtester-${VERSION}-installed || die Failed to change to source directory
make -j$NUMCPUS
if [ $? -ne 0 ]; then
	error "$P: make failed"
	popd > /dev/null
	exit $SHELLPACK_ERROR
fi

echo memtester installed successfully
#### Description Userspace memory integrity tester
#### Details memtester 4
